function b = subsasgn(a,L,RHS)
% function B =  subsasgn(A,L,RHS)
%
% DESCRIPTION 
%   Subsassign for polydecvar objects.
%   
% INPUTS 
%   A: polydecvar 
%   L: a structure array with the fields:
%    type -- string containing '()'  or '.' specifying the
%              subscript type.
%    subs -- Cell array or string containing the actual subscripts.
%   RHS: Value to be assigned. 
%
% OUTPUTS  
%   B: object after subsassignment
%  
% SYNTAX 
%   B =  subsasgn(A,L,RHS)

% 5/29/2009: PJS  Initial Coding  

% Rely on polynomial subsasgn
ap  = a.polynomial;
b = subsasgn(ap,L,RHS);

