function varargout = subsref(a,L)
% function B=subsref(A,L);
%
% DESCRIPTION 
%   Subsreference for polydecvar objects. 
%   
% INPUTS 
%   A: polydecvar 
%   L: a structure array with the fields:
%    type -- string containing '()'  or '.' specifying the
%              subscript type.
%    subs -- Cell array or string containing the actual subscripts.
%
% OUTPUTS  
%   B: object after referencing
%  
% SYNTAX 
%   B=subsref(A,L)
  
% 5/29/2009: PJS  Initial Coding  (based on polynomial/subsref)

switch L(1).type
    case '.'
        b = get(a,L(1).subs);
    case '()' 
        ap  = a.polynomial;
        b = subsref(ap,L);
    case '{}'
        ap  = a.polynomial;
        b = subsref(ap,L);
end

if length(L)>1  
    b = subsref(b,L(2:end));
end
varargout{1}=b;


